PROGRAM CondLoops
	
	IMPLICIT NONE
		
	INTEGER :: i		
	INTEGER :: x,y,z
	DO i=0,8,2
		PRINT *, "Enter a number: "
		READ *, x
    
		IF (x>7) THEN
    		PRINT *, "x is greater than 7"
    	ELSE IF (x<1) THEN
      		PRINT *, "x is less than 1"
        ELSE IF (x==6) THEN
          	EXIT
    	ELSE
   			PRINT *, "x is between 1 and 7"
 		END IF   		
	END DO
END PROGRAM CondLoops